# https://github.com/trueos/lumina/archive/v1.4.0-p1.tar.gz
%global oname lumina

Name:           lumina-desktop
Version:        1.6.2
Release:        %mkrel 3
Summary:        Lumina Desktop

Group:          Graphical desktop/Other
License:        BSD
Url:            https://github.com/trueos/lumina
Source0:        %{oname}-%{version}.tar.xz
Source1:	luminaDesktop.conf
Source2:	%{oname}-settings.desktop
Source3:	%{oname}.lang
Patch0:		%{oname}-1.4.0-poweroff-reboot.patch
Patch1:		%{oname}-1.4.0-fluxbox-init-rc.patch
Patch2:     lthemeengineplatformtheme.cpp.patch
BuildRequires:	lib64poppler-qt5-devel
BuildRequires:	lib64qt5base5-devel
BuildRequires:	lib64qt5concurrent-devel
BuildRequires:	lib64qt5multimediawidgets-devel
BuildRequires:	lib64qt5quickwidgets-devel
BuildRequires:	lib64qt5svg-devel
BuildRequires:	lib64qt5webkitwidgets-devel
BuildRequires:	lib64qt5x11extras-devel
BuildRequires:	lib64qt5xmlpatterns-devel
BuildRequires:	lib64xcb-util-image-devel
BuildRequires:	lib64xcb-util-wm-devel
BuildRequires:	lib64xcomposite-devel
BuildRequires:	lib64xdamage-devel
BuildRequires:	lib64xrender-devel
BuildRequires:	desktop-file-utils
BuildRequires:	libxcb-devel
BuildRequires:	mesa-devel
BuildRequires:	qtbase5-common-devel
BuildRequires:	qttools5
BuildRequires:	x11-proto-devel
Requires:	compton
Requires:	fluxbox
Requires:	oxygen-icon-theme
Requires:	pavucontrol
Requires:	usermode-consoleonly
Requires:	xbacklight
Requires:	xlockmore
Requires:	xscreensaver
Requires:	xterm
Requires:  la-capitaine-icons

%description
lumina-desktop is a lightweight, BSD licensed desktop environment.

%prep
%setup -qn %{oname}-%{version}
%apply_patches

%build

%qmake_qt5 \
QMAKE_CFLAGS_ISYSTEM= \
CONFIG+=configure \
CONFIG+="WITH_I18N" \
PREFIX="%{_prefix}" \
L_BINDIR="%{_bindir}" \
LIBPREFIX="%{_libdir}" \
L_LIBDIR="%{_libdir}" \
QT5LIBDIR="%{_libdir}" \
L_ETCDIR="%{_sysconfdir}" \
L_MANDIR="%{_mandir}" \
L_SHAREDIR=%{_datadir} \
L_INCLUDEDIR=%{_includedir} \
QMAKE_LFLAGS+="-Wl,--as-needed"
%make_build

%install
make install INSTALL_ROOT=%buildroot DESTDIR=%buildroot

rm -rf %{buildroot}%{_includedir} %{buildroot}%{_datadir}/xsessions

%__install -d %{buildroot}%{_sysconfdir}/X11/wmsession.d
%__cat > %{buildroot}%{_sysconfdir}/X11/wmsession.d/69lumina << EOF
NAME=Lumina
ICON=lumina.png
EXEC=%{_bindir}/start-lumina-desktop
DESC=%{summary}
SCRIPT:
exec %{_bindir}/start-lumina-desktop
EOF

rm -f %{buildroot}/usr/etc/luminaDesktop.conf.dist
%__install -m0644 %{S:1} %{buildroot}%{_sysconfdir}/luminaDesktop.conf.dist
%__install -m0644 %{S:2} %{buildroot}%{_desktopdir}/lumina-settings.desktop

find %{buildroot}/ -name *.desktop -exec sed -i "s:/usr/local/:/usr/:g" {} \;

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --dir %{buildroot}%{_desktopdir} %{buildroot}%{_desktopdir}/lumina-fm.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --dir %{buildroot}%{_desktopdir} %{buildroot}%{_desktopdir}/lumina-search.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir %{buildroot}%{_desktopdir} %{buildroot}%{_desktopdir}/lumina-screenshot.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration" \
  --dir %{buildroot}%{_desktopdir} %{buildroot}%{_desktopdir}/lumina-settings.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Editors" \
  --dir %{buildroot}%{_desktopdir} %{buildroot}%{_desktopdir}/lumina-textedit.desktop

%post
%make_session

%postun
%make_session

%files
%defattr(-,root,root)
%{_bindir}
%{_sysconfdir}
%{_datadir}
%{_libdir}

%changelog
* Mon Oct 10 2022 tex - 1.6.2-3pclos2022
- rebuild against updates

* Sun Oct 09 2022 tex - 1.6.2-2pclos2022
- rebuild against updates

* Sun Dec 26 2021 tex - 1.6.2-1pclos2022
- new version

* Sat Dec 25 2021 tex - 1.6.1-1pclos2022
- new version

* Sat Feb 01 2020 tex - 1.6.0-1pclos2020
- new version

* Wed May 01 2018 tex 1.5.0-1pclos2019
- new

* Wed Nov 29 2017 marcin82 <m82 at vp.pl> 1.4.0-2pclos2017
- update to 1.4.0-p1 (patchset 1)
- replaced "libs" patch by LIBS variable setting

* Sun Nov 26 2017 marcin82 <m82 at vp.pl> 1.4.0-1pclos2017
- update, built with translations enabled
- switched to use ConsoleKit Restart and Stop commands (patch0)
- updated luminaDesktop.conf to new format
- added patch1 patch2

* Tue Jan 03 2017 bb <bb> 1.2.0-1pclos2017
- new version

* Tue Aug 09 2016 bb <bb> 1.0.0-1pclos2016
- update

* Sat May 21 2016 bb <bb> 0.9.0-1pclos2016
- update
